Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class Child

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child

Direct Known Subclasses:
  AttrImpl, DocumentTypeImpl, Parent, ProcessingInstructionImpl, TextImpl, WhiteSpace

public class Child
extends UnImplNode
implements DOMOrder

Constructor Summary
`Child(DocumentImpl doc)`

Method Summary
`NamedNodeMap` | `getAttributes()` Unimplemented.
`int` | `getChildPosition()` **For internal use only** Get the position of the child of an element in the parent array.
`Node` | `getFirstChild()` The first child of this node.
`Node` | `getLastChild()` The last child of this node.
`short` | `getLevel()` **For internal use only** Get the depth level of this node in the tree.
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNamespaceURI()` The namespace URI of this node, or `null` if it is unspecified.
`Node` | `getNextSibling()` The node immediately following this node.
`Document` | `getOwnerDocument()` The `Document` object associated with this node.
`Node` | `getParentNode()` The parent of this node.
`java.lang.String` | `getPrefix()` The namespace prefix of this node, or `null` if it is unspecified.
`Node` | `getPreviousSibling()` The node immediately preceding this node.
`java.lang.String` | `getTagName()` UnImplemented.
`int` | `getUid()` Get the UID (document order index).
`boolean` | `hasChildNodes()` This is a convenience method to allow easy determination of whether a node has any children.
`boolean` | `isComplete()` Return if this node has had all it's children added, i.e.
`boolean` | `isNamespaceNode()` Tell if the given node is a namespace decl node.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` Unimplemented.
`void` | `setLevel(short level)` **For internal use only** Get the depth level of this node in the tree.
`boolean` | `supports(java.lang.String feature, java.lang.String version)` Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Child

    public Child(DocumentImpl doc)

Method Detail

### isComplete

    public boolean isComplete()

  Return if this node has had all it's children added, i.e. if a endElement event has occured. An atomic node always returns true.

### getChildPosition

    public int getChildPosition()

  **For internal use only** Get the position of the child of an element in the parent array.

### getUid

    public int getUid()

  Get the UID (document order index).
  Specified by:
    getUid in interface DOMOrder

### getLevel

    public short getLevel()

  **For internal use only** Get the depth level of this node in the tree.

### setLevel

    public void setLevel(short level)

  **For internal use only** Get the depth level of this node in the tree.

### getParentNode

    public Node getParentNode()

  The parent of this node. All nodes, except `Attr`, `Document`, `DocumentFragment`, `Entity`, and `Notation` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.
  Overrides:
    getParentNode in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  The first child of this node. If there is no such node, this returns `null`.
  Overrides:
    getFirstChild in class UnImplNode

### getLastChild

    public Node getLastChild()

  The last child of this node. If there is no such node, this returns `null`.
  Overrides:
    getLastChild in class UnImplNode

### getPreviousSibling

    public Node getPreviousSibling()

  The node immediately preceding this node. If there is no such node, this returns `null`.
  Overrides:
    getPreviousSibling in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  The node immediately following this node. If there is no such node, this returns `null`.
  Overrides:
    getNextSibling in class UnImplNode

### getOwnerDocument

    public Document getOwnerDocument()

  The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` or a `DocumentType` which is not used with any `Document` yet, this is `null`.
  Overrides:
    getOwnerDocument in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  This is a convenience method to allow easy determination of whether a node has any children.
  Returns:
    `true` if the node has any children, `false` if the node has no children.
  Overrides:
    hasChildNodes in class UnImplNode

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
  Parameters:
    `feature` - The string of the feature to test. This is the same name that which can be passed to the method `hasFeature` on `DOMImplementation`.
    `version` - This is the version number of the feature to test. In Level 2, version 1, this is the string "2.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
  Returns:
    Returns `true` if the specified feature is supported on this node, `false` otherwise.
  Overrides:
    supports in class UnImplNode
  Since:
    DOM Level 2

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  The namespace URI of this node, or `null` if it is unspecified.
  Overrides:
    getNamespaceURI in class UnImplNode

### getPrefix

    public java.lang.String getPrefix()

  The namespace prefix of this node, or `null` if it is unspecified.
  Overrides:
    getPrefix in class UnImplNode
  Since:
    DOM Level 2

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class UnImplNode
  Since:
    DOM Level 2

### getTagName

    public java.lang.String getTagName()

  UnImplemented.
  Overrides:
    getTagName in class UnImplNode

### getAttributes

    public NamedNodeMap getAttributes()

  Unimplemented.
  Overrides:
    getAttributes in class UnImplNode

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws DOMException

  Unimplemented.
  Overrides:
    setAttribute in class UnImplNode

### isNamespaceNode

    public boolean isNamespaceNode()

  Tell if the given node is a namespace decl node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.